using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Service
{
    public interface IRoomTypeManager : IGenericManager<RoomType>
    {
        IList<RoomType> LoadAllByPage(out long total, int page, int rows, string order, string sort, int hotelID);

        RoomType GetByCode(string code, int hotelID);
        /// <summary>
        /// 复制房型
        /// </summary>
        /// <param name="id">原房型ID</param>
        /// <returns></returns>
        bool Copy(int id);
    }
}
